com.pixelmed.display

## Class SingleImagePanel.LeftMouseMode

- java.lang.Object
- - com.pixelmed.display.SingleImagePanel.LeftMouseMode

- Enclosing class:
    SingleImagePanel

      protected class SingleImagePanel.LeftMouseMode
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `mode`
    `static int` | `PANNING`
    `static int` | `WINDOWING`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isPanning()`
    `boolean` | `isWindowing()`
    `void` | `setPanning()`
    `void` | `setWindowing()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### WINDOWING

          public static final int WINDOWING

      See Also:
        Constant Field Values

    - #### PANNING

          public static final int PANNING

      See Also:
        Constant Field Values

    - #### mode

          protected int mode

  - ### Method Detail

    - #### setWindowing

          public void setWindowing()

    - #### setPanning

          public void setPanning()

    - #### isWindowing

          public boolean isWindowing()

    - #### isPanning

          public boolean isPanning()